%define nagios_plugins_dir %{_libdir}/nagios/plugins

Name:           nagios-plugins-snmp-disk-proc
Version:        1.0
Release:        1%{?dist}
Summary:        Nagios SNMP plugins to monitor remote disk and processes

Group:          Applications/System
License:        GPL
URL:            ftp://ftp.hometree.net/pub/nagios-snmp-plugins/index.html
Source:         ftp://ftp.hometree.net/pub/nagios-snmp-plugins/nagios-snmp-plugins-%{version}.tar.gz
Patch:          nagios-snmp-plugins-1.0-snmp_common.c.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
Requires:       nagios-plugins

%description
These plugins allow you to monitor disk space and running processes on
a remote machine via SNMP.


%prep
%setup -q -n nagios-snmp-plugins-%{version}
%patch -p1

%build
aclocal
autoheader
automake --add-missing
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{nagios_plugins_dir}
install -p -m 755 check_snmp_disk $RPM_BUILD_ROOT/%{nagios_plugins_dir}
install -p -m 755 check_snmp_proc $RPM_BUILD_ROOT/%{nagios_plugins_dir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{nagios_plugins_dir}/check_snmp_disk
%{nagios_plugins_dir}/check_snmp_proc


%changelog
* Sat Aug 12 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-1
- Initial build.
